#ifdef RCSID
static char RCSid[] =
"$Header: d:/cvsroot/tads/TADS2/mac/OSMAC2.C,v 1.2 1999/05/17 02:52:18 MJRoberts Exp $";
#endif

/* Copyright (c) 1992 by Michael J. Roberts.  All Rights Reserved. */
/*
Name
  osmac2.c  - additional TADS 2 os definitions for Macintosh
Function
  Even more mac stuff
Notes
  None
Modified
  06/11/92 MJRoberts   - creation
*/

#include <ctype.h>
#include <stdlib.h>

int  reparse;
int  tdsmode;

void osnoreg() {}
void tzset() {}

int stricmp(p, q)
char *p;
char *q;
{
        char a, b;
        
        for (;; ++p, ++q)
        {
                a = *p; if (islower(a)) a = toupper(a);
                b = *q; if (islower(b)) b = toupper(b);
                if (!a && !b) return(0);
                if (a > b) return(1);
                if (a < b) return(-1);          
        }
}

int strnicmp(p, q, lim)
char   *p;
char   *q;
size_t  lim;
{
        char a, b;
        
        for (;; ++p, ++q, --lim)
        {
                if (!lim) return(0);
                a = *p; if (islower(a)) a = toupper(a);
                b = *q; if (islower(b)) b = toupper(b);
                if (!a && !b) return(0);
                if (a > b) return(1);
                if (a < b) return(-1);          
        }
}

int memicmp(p, q, l)
char   *p;
char   *q;
size_t  l;
{
        char a, b;

        for ( ; l ; ++p, ++q, --l)
        {
                a = *p; if (islower(a)) a = toupper(a);
                b = *q; if (islower(b)) b = toupper(b);
                if (a > b) return(1);
                if (a < b) return(-1);          
        }
        return(0);
}
